#
# spec file for package wsndpref (Version 1.1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  WindowMaker WindowMaker-devel audiofile hermes hermes-devel libPropList libPropList-devel libjpeg libpng libtiff libungif wsndsrv xf86 xpm
# usedforbuild    WindowMaker WindowMaker-devel aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip hermes hermes-devel kbd less libPropList libPropList-devel libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim wsndsrv xdevel xf86 xshared

Name:         wsndpref
Copyright:    1998, 1999 Pascal Hofstee
Group:        Applications/Multimedia
URL:          http://shadowmere.student.utwente.nl/modules.php
Provides:     WSoundPrefs 
Autoreqprov:  on
Summary:      A setup program for WSoundServer.
Version:      1.1.1
Release:      234
Source: WSoundPrefs-%{version}.tar.gz
Patch:  WSoundPrefs-1.1.1-WINGs.dif
Patch1: WSoundPrefs-1.1.1-wstrappend.patch
Patch2: WSoundPrefs-1.1.1-imake.patch
Patch3: WSoundPrefs-1.1.1-IconImage.patch
BuildRoot:    /var/tmp/%{name}-build 

%description
A setup program for WSoundServer.

Authors:
--------
    Pascal Hofstee <daeron@shadowmere.student.utwente.nl>

SuSE series: snd

%prep
%setup -n WSoundPrefs-%{version}
%patch
%patch1
%patch2
%patch3
# ---------------------------------------------------------------------------

%build
xmkmf -a
make
# ---------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT/usr/X11R6/GNUstep install

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/GNUstep/Apps/WSoundPrefs.app
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc INSTALL

%changelog -n wsndpref
* Tue Sep 11 2001 - nadvornik@suse.cz
- fixed crash with new WindowMaker
* Tue Jun 12 2001 - nadvornik@suse.cz
- used ComplexProgramTargetNoMan in Imakefile
* Wed Jun 06 2001 - nadvornik@suse.cz
- added hermes and hermes-devel to neededforbuild
* Mon Apr 30 2001 - nadvornik@suse.cz
- fixed crash with new WindowMaker
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <WindowMaker> to <WindowMaker WindowMaker-devel>
* Tue Feb 27 2001 - nadvornik@suse.cz
- fixed to compile
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild for libPropList
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Jun 22 2000 - nadvornik@suse.cz
- updated URL
* Tue May 09 2000 - nadvornik@suse.cz
- updated to 1.1.1
* Fri May 05 2000 - nadvornik@suse.cz
- added BuildRoot
* Wed Mar 01 2000 - choeger@suse.de
- added Group and Url Tag
* Mon Oct 25 1999 - ro@suse.de
-switched to libungif
* Tue Sep 21 1999 - ro@suse.de
- added proplst, proplstd to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 08 1999 - choeger@suse.de
- first package, v1.1.0
